<!-- nginx-service.xml -->
<service>
  <id>nginx</id>
  <name>nginx</name>
  <description>nginx windows server</description>
  <executable>D:\nginx\nginx.exe</executable>
  <startarguments>
    -c
    D:\nginx\conf\nginx.conf
    -p
    D:\nginx
  </startarguments>
  
  <stopexecutable>D:\nginx\nginx.exe</stopexecutable>
  <stoparguments>
    -p
    D:\nginx
    -s
    stop
  </stoparguments>
  
  <log mode="roll"></log>
</service>